PDA

View Full Version : grid bbar first loading position



emredagli
17 Jul 2009, 2:21 AM
Hii,
I am using firefox and "ext-3.0-rc2"
I have a grid like this:



TicketMainGrid = Ext.extend(Ext.grid.GridPanel,{
initComponent: function(){
this.cellActions = new Ext.ux.grid.CellActions({
listeners:{
action:function(grid, record, action, value, dataIndex, rowIndex, colIndex, e) {
switch(action){
case 'tickets-menu-icon':
myApp.actionMenuClicked(record.id, e);
break;
}
}
},
align:'left'
});

Ext.apply(this, {
plugins:[ this.cellActions],
});

TicketMainGrid.superclass.initComponent.apply(this, arguments);
},
onRender: function(){
TicketMainGrid.superclass.onRender.apply(this, arguments);
}
});


and



var gridTickets = new TicketMainGrid({
id:'gridTickets',
loadMask: true,
anchor:'100% 100%',
stripeRows:true,
store: storeTicket,
enableColumnMove: false,
autoExpandColumn: 'cmSubject',
autoExpandMin: 120,
trackMouseOver:true,
sm: sm,
tbar: [changeStatusButton,'-', createTicketButton, '->',settingsButton,'-',totalCountButton],
bbar: new Ext.PagingToolbar({
plugins: new Ext.ux.Andrie.pPageSize(), //new Ext.ux.Andrie.pPageSize(),
pageSize: pagesize,
store: storeTicket,
displayInfo: false
}),
columns: [
sm,
{
id:'cmStatus',
header: "Status",
dataIndex: 'dummy',
width: 70,
sortable: false,
cellActions:[{
iconIndex:'StatusIconIndex',
qtipIndex:'StatusToolTip',
align:'left',
paddingLeft: 5
},{
iconIndex:'PrioirtyIconIndex',
qtipIndex:'PrioirtyToolTip',
align:'left'
},{
iconIndex:'AttachmentIconIndex',
qtipIndex:'AttachmentToolTip',
align:'left'
}]
},
...
]
});

panelCenter = new Ext.Panel({
id: 'panelCenter',
layout: 'card',
anchor:'100% 100%',
defaults:{hideMode:'offsets'},
activeItem: pageType,
border: false,
items: [ gridTickets, ...]
});


When page is first loading, bottom bar is not positioned on the bottom. And after grid loaded, bottom bar is on right place. So It is not well looking for users.

Do I missuse something, or is it normal?

Thanks.

jay@moduscreate.com
21 Jul 2009, 3:37 AM
3.0 stable was released some 2 weeks ago. why use RC2?

emredagli
21 Jul 2009, 3:46 AM
Thanks Garcia,
Perfect point.

I have used rc2 because I thought that this was last stable version...

Since (I suppose that Mr. Animal said me) that you can use rc2 when I try to reach last version of Ext 3.0...

Anyway when should I use rc... versions?
Or better to wait update 3.0 version...??

Thanks

jay@moduscreate.com
21 Jul 2009, 3:49 AM
this is most likely unrelatd to your problem. my point is that 3.0 stable is supported, where RC's are not.